## python-javaobj 0.4.1

=== debian/changelog ===
python-javaobj (0.4.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Update Maintainer field with new Debian Python Team contact address.
  * Update Vcs-* fields with new Debian Python Team Salsa layout.

  [ Hans-Christoph Steiner ]
  * autopkgtest runs require Build-Depends to work

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 15 Feb 2021 09:22:15 +0100

python-javaobj (0.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #969374)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 25 Aug 2020 17:55:33 +0200

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
https://github.com/tcalmant/python-javaobj/tags .*/archive/v?(\d[\d\.]+).tar.gz

## python-javaobj 0.4.4

=== requirements.txt ===
enum34;python_version<="3.4"
typing;python_version<="3.4"

## python-javaobj 0.4.3

=== debian/changelog ===
python-javaobj (0.4.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Contact.
  * Fix field name typo in debian/copyright (X-Comment => Comment).
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * Set upstream metadata fields: Contact.
  * Fix field name typo in debian/copyright (X-Comment => Comment).
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.

  [ Hans-Christoph Steiner ]
  * New upstream version 0.4.3

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 06 Feb 2023 00:42:43 +0100

=== debian/control ===
Source: python-javaobj
Priority: optional
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Build-Depends: debhelper-compat (= 13),
	       dh-python,
	       maven,
	       python3-all,
	       python3-setuptools,
Standards-Version: 4.5.0.3
Rules-Requires-Root: no
Homepage: https://github.com/tcalmant/python-javaobj
Vcs-Git: https://salsa.debian.org/python-team/packages/python-javaobj.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-javaobj

Package: python3-javaobj
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: read and write Java objects serialized by ObjectOutputStream
 python-javaobj is a Python library that provides functions for
 reading and writing (writing is WIP currently) Java objects
 serialized or will be deserialized by ObjectOutputStream. This form
 of object representation is a standard data interchange format in
 Java world.
 .
 The javaobj module exposes an API familiar to users of the standard
 library marshal, pickle and json modules.
 .
  * Java object instance un-marshalling
  * Java classes un-marshalling
  * Primitive values un-marshalling
  * Automatic conversion of Java Collections to Python ones
    (HashMap => dict, ArrayList => list, etc.)
  * Basic marshalling of simple Java objects (v1 implementation only)

=== debian/tests/control ===
Test-Command: python3 -c "import javaobj; print(javaobj)"

Test-Command: python3 setup.py test
Depends: @, @builddeps@
Restrictions: allow-stderr

## python-javaobj 0.4.4

=== debian/changelog ===
python-javaobj (0.4.4-1) unstable; urgency=medium

  * New upstream version 0.4.4

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 07 Mar 2025 09:08:01 +0100

=== debian/tests/control ===
Test-Command: python3 -c "import javaobj; print(javaobj)"

Test-Command: pytest
Depends: @, @builddeps@, python3-pytest
Restrictions: allow-stderr

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
https://github.com/tcalmant/python-javaobj/tags .*/archive/refs/tags/v?(\d[\d\.]+).tar.gz
